Interpolation

These classes deal with the tasks related to interpolation. More...

## Data Structures

class | C1DInterpolator
| Basic Interpolator type for 1D Data. More...
class | C1DInterpolatorFactory
| Factory class for 1D interpolators. More...
class | C1DScalar
| A class for general scaling of one-dimensional arrays. More...
class | C2DInterpolatorFactory
| The factory to create an interpolator from some input data. More...
class | C3DInterpolatorFactory
| A factory to create interpolators of a given type by providing input data. More...
class | CSplineBoundaryCondition
| Abstract base class for B-spline interpolation boundary conditions. More...
class | CSplineBoundaryConditionPlugin
| Base plugin for spline boundary conditions. More...
class | CSplineKernel
| Base class for all spline based interpolation kernels. More...
class | T1DConvoluteInterpolator< T >
| Interpolator that uses some kind of spaciel kernel. More...
class | T1DInterpolator< T >
| Interpolator base class providing the full interface. More...
class | T2DInterpolator< T >
| The base class for 2D interpolators that use some kind of spacial convolution. More...
class | T3DConvoluteInterpolator< T >
| Interpolator that is based on convolution,like b-splines an o-moms. More...
class | T3DInterpolator< T >
| Basic Interpolator type for 3D Data. More...

## Typedefs

typedef THandlerSingleton< TFactoryPluginHandler< CFastICADeflNonlinearityPlugin > > | mia::CFastICADeflNonlinearityPluginHandler
typedef THandlerSingleton< TFactoryPluginHandler< CSplineBoundaryConditionPlugin > > | CSplineBoundaryConditionPluginHandler
typedef THandlerSingleton< TFactoryPluginHandler< CSplineKernelPlugin > > | CSplineKernelPluginHandler
typedef std::shared_ptr< const C1DInterpolatorFactory > | P1DInterpolatorFactory
typedef CSplineBoundaryCondition::Pointer | PSplineBoundaryCondition
typedef std::shared_ptr< CSplineKernel > | PSplineKernel

## Functions

PSplineKernel | produce_spline_kernel (const std::string &descr)

## Detailed Description

These classes deal with the tasks related to interpolation.

## Typedef Documentation

## CFastICADeflNonlinearityPluginHandler

typedef THandlerSingleton<TFactoryPluginHandler<CFastICADeflNonlinearityPlugin> > mia::CFastICADeflNonlinearityPluginHandler

Plugin handler for the creation of deflation FastICA nonlinearities

Definition at line 130 of file fastica_nonlinearity.hh.

## CSplineBoundaryConditionPluginHandler

typedef THandlerSingleton<TFactoryPluginHandler<CSplineBoundaryConditionPlugin> > CSplineBoundaryConditionPluginHandler

Plugin handler for the creation of spline boundary conditions

Definition at line 196 of file boundary_conditions.hh.

## CSplineKernelPluginHandler

typedef THandlerSingleton<TFactoryPluginHandler<CSplineKernelPlugin> > CSplineKernelPluginHandler

Plugin handler for the creation of spline kernels

Definition at line 303 of file splinekernel.hh.

## P1DInterpolatorFactory

typedef std::shared_ptr<const C1DInterpolatorFactory > P1DInterpolatorFactory

Pointer type for C1DInterpolatorFactory.

Definition at line 206 of file interpolator1d.hh.

## PSplineBoundaryCondition

typedef CSplineBoundaryCondition::Pointer PSplineBoundaryCondition

Pointer type of the boundary conditions.

Definition at line 167 of file boundary_conditions.hh.

## PSplineKernel

typedef std::shared_ptr<CSplineKernel> PSplineKernel

Pointer type for spline kernels

Definition at line 291 of file splinekernel.hh.

## Function Documentation

## produce_spline_kernel()

PSplineKernel produce_spline_kernel | ( | const std::string & | descr | ) |

inline

Create a spline kernel by using the provided plug-ins

Parameters

  descr | the spline kernel description (e.g. "bspline:d=3" for a B-spline kernel of degree 3)

Returns
  the spline kernel stored in a shared pointer PSplineKernel.

Definition at line 312 of file splinekernel.hh.

References THandlerSingleton< TFactoryPluginHandler< CSplineKernelPlugin > >::instance().